/* Page layout container */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    background-color: #f5f5f5;

    height: 100vh;
    display: flex;
    flex-direction: column;
}

/* HEADER  */
h1 {
    flex: 1;
    margin: 0;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* RECEIVED BOX  */
.receivedBox {
    flex: 3.3;

    border: 1px solid #ccc;
    background-color: white;

    padding: 10px;
    overflow-y: auto;

    font-family: "JetBrains Mono", monospace;
    box-sizing: border-box;

    position: relative;
}

.msg {
    display: flex;
    gap: 10px;
    line-height: 1.4em;
}
.lineNum {
    width: 40px;
    text-align: right;
    color: #888;
    user-select: none;
}
.msgText {
    flex: 1;
}

/* Gauge  */
.gauge {
    flex: 5.7;

    width: clamp(180px, 35vw, 420px);
    aspect-ratio: 1 / 1;

    margin: auto;

    border-radius: 50%;
    border: 8px solid #ddd;

    position: relative;
}

.needle {
    position: absolute;
    top: 50%;
    left: 50%;

    width: 2px;
    height: 45%;
    background: red;

    transform-origin: 50% 100%;
    transform: translate(-50%, -100%) rotate(0deg);
}

.center-dot {
    width: 12px;
    height: 12px;
    background: black;
    border-radius: 50%;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}